/**
 * @license
 * Copyright 2023 Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseAdapter, IBaseAdapter } from '../core/base/base-adapter';
import { ILabelValueComponent } from './label-value';
import { LabelValueAlignment } from './label-value-constants';
export interface ILabelValueAdapter extends IBaseAdapter {
    setEmpty(isEmpty: boolean): void;
    setEllipsis(ellipsis: boolean): void;
    setRoomy(isRoomy: boolean): void;
    setDense(isDense: boolean): void;
    setAlignment(value: LabelValueAlignment): void;
}
export declare class LabelValueAdapter extends BaseAdapter<ILabelValueComponent> implements ILabelValueAdapter {
    private _rootElement;
    constructor(component: ILabelValueComponent);
    setEmpty(isEmpty: boolean): void;
    setEllipsis(ellipsis: boolean): void;
    setRoomy(isRoomy: boolean): void;
    setDense(isDense: boolean): void;
    setAlignment(value: LabelValueAlignment): void;
}
